Gyoto::Register Namespace Reference

Gyoto registers. More...

## Classes

class | Entry
| Entry in a register (or a full register). More...

## Functions

void | init (char const *pluglist=NULL)
| Initialise the various registers.
void | list ()
| List the various registers.

## Detailed Description

Gyoto registers.

Gyoto::Register::Entry instances are used to map kind names to Gyoto::SmartPointee::Subcontractor_t functions used to instantiate objects from XML files through the Gyoto::Factory.

## Function Documentation

## init()

void Gyoto::Register::init | ( | char const * | pluglist = NULL | ) |

Initialise the various registers.

Normally called once at application start-up, Register::init() initiaizes the registers, loads the plug-ins, and fills the registers as appropriate.

Parameters

  pluglist | Coma-separated list of plug-ins to load. If NULL, default to the environment variable GYOTO_PLUGINS, if it exists. Else use GYOTO_DEFAULT_PLUGINS. Failing to load a plug-in prepended with "nofail:" is not fatal.